Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class DOMExceptionImpl

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.w3c.dom.DOMException
                      net.sf.saxon.dom.DOMExceptionImpl

All Implemented Interfaces:
  Serializable

    public class DOMExceptionImpl

extends DOMException

DOM operations only raise exceptions in "exceptional" circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable). In general, DOM methods return specific error values in ordinary processing situations, such as out-of-bound errors when using `NodeList` .

Implementations may raise other exceptions under other circumstances. For example, implementations may raise an implementation-dependent exception if a `null` argument is passed.

See also the Document Object Model (DOM) Level 2 Specification.

See Also:
  Serialized Form

Field Summary
`short` | `code`
`static short` | `INVALID_ACCESS_ERR`
`static short` | `INVALID_MODIFICATION_ERR`
`static short` | `INVALID_STATE_ERR`
`static short` | `NAMESPACE_ERR`
`static short` | `SYNTAX_ERR`

Fields inherited from class org.w3c.dom.DOMException
`DOMSTRING_SIZE_ERR, HIERARCHY_REQUEST_ERR, INDEX_SIZE_ERR, INUSE_ATTRIBUTE_ERR, INVALID_CHARACTER_ERR, NO_DATA_ALLOWED_ERR, NO_MODIFICATION_ALLOWED_ERR, NOT_FOUND_ERR, NOT_SUPPORTED_ERR, TYPE_MISMATCH_ERR, VALIDATION_ERR, WRONG_DOCUMENT_ERR`

Constructor Summary
`DOMExceptionImpl(short code, String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

### INVALID_STATE_ERR

    public static final short INVALID_STATE_ERR

Since:
  DOM Level 2
See Also:
  Constant Field Values

### SYNTAX_ERR

    public static final short SYNTAX_ERR

Since:
  DOM Level 2
See Also:
  Constant Field Values

### INVALID_MODIFICATION_ERR

    public static final short INVALID_MODIFICATION_ERR

Since:
  DOM Level 2
See Also:
  Constant Field Values

### NAMESPACE_ERR

    public static final short NAMESPACE_ERR

Since:
  DOM Level 2
See Also:
  Constant Field Values

### INVALID_ACCESS_ERR

    public static final short INVALID_ACCESS_ERR

Since:
  DOM Level 2
See Also:
  Constant Field Values

Constructor Detail

### DOMExceptionImpl

    public DOMExceptionImpl(short code,
                            String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.